//
//  Hour4AppDelegate.m
//  Hour4
//
//  Created by Kevin Hoffman on 6/2/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Hour4AppDelegate.h"
#import "Monster.h"
#import "Werewolf.h"
#import "Serpent.h"

@implementation Hour4AppDelegate

@synthesize window;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    // Insert code here to initialize your application
    
    Monster *bob = [[Monster alloc] init];
    bob.name = @"Bob";
    bob.weight = 300;
    bob.height = 72;
    bob.maxSpeedMph = 10;
    
    Monster *joe = [[Monster alloc] init];
    joe.name = @"Joe";
    joe.weight = 225;
    joe.height = 70;
    joe.maxSpeedMph = 30;
    
//    [bob growl];
//    [bob moveToX:10 Y:8];
//    [bob attack:joe];
//    [joe growl];
//    [joe moveToX:10 Y:8];
//    [joe attack:bob];
    
    Werewolf *steve = [[Werewolf alloc] init];
    steve.name = @"Steve"; // inherited from Monster!
    [steve growl];
    
    Serpent *wallace = [[Serpent alloc] init];
    wallace.name = @"Wallace"; 
    [wallace growl];
    
    // Can steve attack wallace?
    [steve attack:wallace];
    // Can bob (a monster) attack steve (a werewolf) ?
    [bob attack:steve];
    // Can steve attack bob?
    [steve attack:bob];
}

@end
