//
//  Monster.m
//  Hour4
//
//  Created by Kevin Hoffman on 6/2/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Monster.h"
#import "DiscoverableWeaknessProtocol.h"

@implementation Monster

@synthesize height=_height;
@synthesize maxSpeedMph=_maxSpeedMph;
@synthesize name=_name;
@synthesize weight=_weight;

- (id)init
{
    self = [super init];
    if (self) {
        // Initialization code here.
    }
    
    return self;
}

- (void)dealloc
{
    [super dealloc];
}

- (void)growl
{
    NSLog(@"Grrr...");
}

- (void)attack:(Monster *)target
{
    NSLog(@"I, %@ the terrible, am attacking %@!!",
          _name,
          target.name);
    if ([target conformsToProtocol:@protocol(DiscoverableWeaknessProtocol)])
    {
        Monster<DiscoverableWeaknessProtocol> *weakMonster =
        (Monster<DiscoverableWeaknessProtocol> *)target;
        NSLog(@"A-Ha! I've discovered %@'s weakness! It is %@",
              weakMonster.name,
              [weakMonster exposeWeakness]);
              
    }
}

- (void)moveToX:(int)x Y:(int)y
{
    NSLog(@"Look out, anybody at (%d,%d), I'm on my way!",
          x, y);
}

@end
